Subject: Re: bug#69614: 30.0.50; General Emacs slowdown

From: Pedro Andres Aranda Gutierrez <[email-masked]>
Date: Fri, 8 Mar 2024 07:50:11 +0100

On Thu, 7 Mar 2024 at 17:25, Philip Kaludercic <[email-masked]> wrote:

> "Pedro A. Aranda" <[email-masked]> writes:
>
> > Hi,
> >
> > In different situations, I have experienced a drastic
> > slowdown in Emacs. Here is a profiler example when deleting
> > a line in a table in an org-mode buffer:
> >
> >          650  43% + redisplay_internal (C function)
> >          521  35% - command-execute
> >          470  31%  - byte-code
> >          470  31%   - read-extended-command
> >          470  31%    - read-extended-command-1
> >          470  31%     - completing-read-default
> >          443  29%      + redisplay_internal (C function)
> >           11   0%      - timer-event-handler
> >           11   0%       - apply
> >            7   0%        + jinx--timer-handler
> >            4   0%        + org-element--cache-sync
>
> Just because this seems suspicious; Can you be sure that these two
> aren't related?  What happens in a non-org buffer with jinx enabled, or
> an org-mode buffer without jinx?
>
...

>         Philip Kaludercic on peregrine
>

Hi Philip.

THANKS A TON!

After yet another sleepless night, I'm confident enough to be suspicious of
jinx.
Removing it from my startup seems to solve the slow-down.

I'll go over to the jinx people and see what they have to say.
-- 
Fragen sind nicht da, um beantwortet zu werden,
Fragen sind da um gestellt zu werden
Georg Kreisler

Headaches with a Juju log:
unit-basic-16: 09:17:36 WARNING juju.worker.uniter.operation we should run
a leader-deposed hook here, but we can't yet